interface AWSOrigin {
    type: "aws";
    region: string;
    instanceId: string;
}
export type RemoteOrigin = AWSOrigin;
export declare const DEFAULT_REMOTE_GROUP = "default";
export interface RemoteObject {
    address: string;
    name: string;
    group: string;
    origin?: RemoteOrigin;
}
export interface RemotesObject {
    remotes: RemoteObject[];
}
export declare class Remotes {
    readonly path: string;
    private data;
    constructor(path: string);
    save(): void;
    getByName(name: string): RemoteObject | undefined;
    getByGroup(group: string): RemoteObject[];
    getByAddress(address: string): RemoteObject | undefined;
    add(remote: RemoteObject): void;
    remove(name: string): boolean;
    all(): Promise<RemoteObject[]>;
}
export {};
